Support API
REST API endpoints for Support.
REST API endpoints for Support. 11 operations.
List support chat sessions
GET /v1/support/chat/sessionsRequires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | List support chat sessions |
401 | Missing or invalid API key |
500 | Internal error |
operationId: listSupportChatSessions
Start a support chat session
POST /v1/support/chat/sessionsRequires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Start a support chat session |
401 | Missing or invalid API key |
500 | Internal error |
operationId: createSupportChatSession
List support chat messages
GET /v1/support/chat/sessions/{id}/messagesRequires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | List support chat messages |
401 | Missing or invalid API key |
500 | Internal error |
operationId: listSupportChatMessages
Post a support chat message
POST /v1/support/chat/sessions/{id}/messagesRequires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Post a support chat message |
401 | Missing or invalid API key |
500 | Internal error |
operationId: postSupportChatMessage
List support tickets
GET /v1/support/ticketsRequires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | List support tickets |
401 | Missing or invalid API key |
500 | Internal error |
operationId: listSupportTickets
Open a support ticket
POST /v1/support/ticketsRequires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Open a support ticket |
401 | Missing or invalid API key |
500 | Internal error |
operationId: createSupportTicket
Get a support ticket
GET /v1/support/tickets/{id}Requires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Get a support ticket |
401 | Missing or invalid API key |
500 | Internal error |
operationId: getSupportTicket
Update a support ticket
PUT /v1/support/tickets/{id}Requires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Update a support ticket |
401 | Missing or invalid API key |
500 | Internal error |
operationId: updateSupportTicket
Close a support ticket
POST /v1/support/tickets/{id}/closeRequires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Close a support ticket |
401 | Missing or invalid API key |
500 | Internal error |
operationId: closeSupportTicket
List ticket comments
GET /v1/support/tickets/{id}/commentsRequires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | List ticket comments |
401 | Missing or invalid API key |
500 | Internal error |
operationId: listSupportTicketComments
Comment on a support ticket
POST /v1/support/tickets/{id}/commentsRequires an org credential (no dedicated scope).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Comment on a support ticket |
401 | Missing or invalid API key |
500 | Internal error |
operationId: addSupportTicketComment